#
# spec file for package docbook-utils (Version 0.6.14)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  docbook-dsssl-stylesheets docbook_3 docbook_4 iso_ent openjade opensp sgml-skel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils docbook-dsssl-stylesheets docbook_3 docbook_4 gcc gdbm gettext iso_ent libtool libxml2 openjade opensp perl rpm sgml-skel

Name:         docbook-utils
Summary:      Small Wrapper Scripts for Processing DocBook Files
Version:      0.6.14
Release:      63.1
Group:        Productivity/Publishing/DocBook
License:      LGPL
Requires:     docbook_4 docbook_3 openjade opensp sgml-skel iso_ent docbook-dsssl-stylesheets
Requires:     perl-SGMLS
Source:       ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tar.gz
Patch0:       docbook-utils-catalog-jw.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
The docbook-utils package is a set of a few small programs intended to
ease everyday use of technical documentation software based on the
DocBook DTD, either written in SGML or XML.

Tasks they currently accomplish are: * jw: convert SGML files to
   other formats (HTML, RTF, PostScript, PDF)

* sgmldiff: detect the differerences in markup between two SGML files



Authors:
--------
    Eric Bischoff <e.bischoff@noos.fr>
    Mark Galassi <rosalia@galassi.org>
    Jochem Huhmann <joh@revier.com>
    Steve Cheng <steve@ggi-project.org>
    Frederik Fouvry <fouvry@sfs.nphil.uni-tuebingen.de>
    Tim Waugh  <twaugh@redhat.com>

%prep
%setup -q
%patch0 -p1 -b .catalog

%build
autoreconf -i -f
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/doc/html/docbook* html

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING TODO html
%{_prefix}/bin/jw
%{_prefix}/bin/docbook2*
%{_prefix}/bin/sgmldiff
%{_prefix}/share/sgml/docbook/utils-%{version}
%{_mandir}/man?/*

%changelog -n docbook-utils
* Mon Nov 08 2004 - ke@suse.de
- Prepend ':' to the list of SGML_EXTRA_CATALOGS to make sure
  SGML_CATALOG_FILES are always properly separated; reported by Ruediger
  Oertel.
* Mon Nov 08 2004 - ke@suse.de
- Fix problem with finding XML related catalogs; reported by Kerry Cox
  [# 48020].
* Thu Feb 12 2004 - ke@suse.de
- Update to version 0.6.14: bugfixes, use w3m als fallback for text
  generation.
* Thu Jan 15 2004 - ke@suse.de
- Update to version 0.6.13.
* Thu Jun 12 2003 - coolo@suse.de
- package dirs too
* Mon May 19 2003 - coolo@suse.de
- package docs too
* Tue Apr 17 2001 - adrian@suse.de
- created package
